#include <stdio.h>
main()
{
    int n,k;
    scanf("%d %d",&n,&k);
    int niz[n];
    for(int i=0;i<n;i++)
    {
        scanf("%d",&niz[i]);
    }
    int resenje;
    if(k==niz[n-1])
    {
        resenje=niz[0];
        printf("%d",resenje);
        return 0;
    }
    else
    {
        for(int i=0;i<n;i++)
        {
            if(niz[i]==k)
            {
                resenje=niz[i+1];
                printf("%d",resenje);
                return 0;
            }
        }
    }
}